# Class: c3.Plot.Layer.Swimlane.Flamechart

Defined in: | js/c3-layers.coffee
Inherits: | c3.Plot.Layer.Swimlane.Segment

## Overview

TODO: Remove requirement for `key()` accessor.

A swimlane layer for rendering flamecharts. You should not define `y`, but you must define a `dy`. A `key()` is required for this layer.

### Author:

- Douglas Armstrong

## Variables Summary

version =

      0.1

type =

      'flamechart'

### Variable inherited from c3.Plot.Layer.Swimlane.Segment

version type dx key filter value limit_elements rect_options label_options dy hover lane_options _next_uid data name class static_data h v x y options handlers restyle

## Instance Method Summary

- # (void) _init() Bound
- # (void) _update(origin) Bound

## Inherited Method Summary

### Methods inherited from c3.Plot.Layer.Swimlane.Segment

#_init #_hover_datum #_update #_draw #_style #_size #init #size #update #draw #style #zoom #redraw #scale #min_x #max_x #min_y #max_y

## Instance Method Details

# (void) _init() Bound

# (void) _update(origin) Bound

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input